<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/xhtml1/strict">

<xsl:output
   method="html"
   indent="yes"
   encoding="UTF-8"
/>


<xsl:template name="strip-HTML">
    <xsl:param name="text"/>
    <xsl:choose>
        <xsl:when test="contains($text, '&gt;')">
            <xsl:choose>
                <xsl:when test="contains($text, '&lt;')">
                    <xsl:value-of select="concat(substring-before($text, '&lt;'), ' ')"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="substring-before($text, '&gt;')"/>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:call-template name="strip-HTML">
                <xsl:with-param name="text" select="substring-after($text,
'&gt;')"/>
            </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="$text"/>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>


<xsl:template match="/">

 <xsl:text >
 </xsl:text> 
 <xsl:apply-templates select = "interactions/interaction/parameters/cparameter[2]" /> 
</xsl:template>



<xsl:template match="interactions/interaction/parameters/cparameter[2]">
 	<html>
   	<head>
     	<title>
		Content Summary
     	</title>
   	</head>
   	<body>
   	
   	<p>
		
This text represents content that has been extracted from a timeline.

	</p>

<xsl:for-each select="optionpage"> 

	
	
	<xsl:for-each select="entrydata"> 

	<xsl:if test="input/@optionStore='Item_Index_TextArea'"> 
		    
		    <xsl:if test="(string(input))">
 		    <br/>
		    
		    This item is on the timeline at the following index:  <xsl:value-of select="input"/>
		    

		    </xsl:if>
		    

         </xsl:if> 

	<xsl:if test="input/@optionStore='Item_Summary_TextArea'"> 
		    
		    <xsl:if test="(string(input))">
 		    <br/>
		    
		    <xsl:value-of select="input"/>
		    

		    </xsl:if>
		    

         </xsl:if> 

	


	<xsl:if test="input/@type='JetOptionHTMLEditor'"> 

				<p>
                
                <xsl:if test="(string(input))">    
		
			

			
			<xsl:choose>
			
			
			
				<xsl:when test="contains(input, '&gt;')">
            

					<xsl:call-template name="strip-HTML">
                				<xsl:with-param name="text" select="input"/>
					</xsl:call-template>

	  	 		</xsl:when>

	    		</xsl:choose>
            
				 	
			
		</xsl:if>
		    	     </p>

        </xsl:if> 

	
	<xsl:if test="input/@type='JetOptionImageArea'"> 
		    
		    <xsl:if test="(string(imageCaption))">
			
			Image of  
                    	<xsl:value-of select="imageCaption"/>
                    	<br/>
					    	
		    </xsl:if>

		    <xsl:if test="(string(imageSource))">
			
                    	<xsl:value-of select="imageSource"/>
                    	<br/>
		    	
		    </xsl:if>

               </xsl:if> 


	</xsl:for-each> 

</xsl:for-each> 





 </body>
 </html>

</xsl:template>
</xsl:stylesheet>

